Capsule happily syncs even when no lifecycle-environments are attached.
Status: Rejected   

Priority: Normal   

Assignee: Brad Buckingham   

Category: API   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1103342 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/448
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1103342

Description of problem:

Doing a :

hammer capsule synchronize

will happily sync your capsule even if nothing is attached to sync.  It should throw an error if there is nothing to sync explaining that

lifecycle environments need to be attached.

History

#1 - 07/17/2014 01:10 PM - Brad Buckingham

- Assignee set to Brad Buckingham

- Target version set to 49

- Triaged changed from No to Yes

#2 - 07/28/2014 08:47 AM - Eric Helms

- Target version changed from 49 to 54

#3 - 07/28/2014 11:55 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4489 added

- Pull request deleted ()

#4 - 08/15/2014 01:48 PM - Eric Helms

- Status changed from Ready For Testing to Rejected

#5 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13

#6 - 03/21/2015 11:05 AM - Eric Helms

- translation missing: en.field_release deleted (13)

#7 - 07/08/2016 11:30 AM - Eric Helms

- translation missing: en.field_release set to 166
